import { PublicKey } from '@solarti/web3.js';
import { Metaplex } from '../Metaplex';
import { Cluster } from '../types';
import { GpaBuilder } from '../utils';
export type ErrorWithLogs = Error & {
    logs: string[];
};
export type ErrorWithCode = Error & {
    code: number;
};
export declare const isErrorWithLogs: (error: unknown) => error is ErrorWithLogs;
export type Program = {
    name: string;
    address: PublicKey;
    clusterFilter?: (cluster: Cluster) => boolean;
    errorResolver?: (error: ErrorWithLogs) => ErrorWithCode | null | undefined;
    gpaResolver?: (metaplex: Metaplex) => GpaBuilder;
};
